# Get domain renewal info Retrieve renewal eligibility and pricing for the specified domain, including the current expiration date, grace period expiration, and available renewal periods. Endpoint: GET /domains/{name}/renewals Version: 1.0.0 Security: bearer ## Path parameters: - `name` (string, required) ## Response 200 fields (application/json): - `@type` (string, required) Enum: "unstoppabledomains.com/partner.v3.DomainRenewalInfo" - `isEligible` (boolean, required) - `expirationDate` (string, required) - `gracePeriodExpirationDate` (string) - `price` (object) - `price.type` (string, required) Enum: "STANDARD", "PREMIUM", "DEFERRED" - `price.listPrice` (object, required) - `price.listPrice.usdCents` (number, required) - `price.adjustments` (array) - `price.subTotal` (object, required) - `price.validUntilTimestamp` (number) - `period` (object, required) - `period.min` (number, required) - `period.max` (number, required) - `period.increments` (number, required) ## Response 400 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 401 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 403 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 404 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 500 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string)